> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update KYB

> Update KYB information



## OpenAPI

````yaml /openapi/workforce-management.yaml patch /v1/businesses/{businessId}/kyb
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Payroll Platform
  version: 1.0.0
  title: Business Workforce Management
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Custom Auth
    description: APIs for interacting with Custom Authentication
  - name: Persons
    description: APIs for interacting with the HR module
  - name: Milestones
    description: APIs for milestone-based contractor pay
  - name: Instant Pay
    description: APIs for interacting with Instant Pay functionality
  - name: Users
    description: APIs for interacting with employee/contractor Cadana accounts
  - name: Files
    description: APIs for interacting with file uploads
  - name: Payrolls
    description: APIs for interacting with Payroll
  - name: Platform
    description: Platform APIs for interacting with businesses
  - name: Businesses
    description: APIs for interacting with Business
  - name: Contracts
    description: APIs for interacting with contracts
  - name: Sandbox
    description: APIs for relevant sandbox simulations
  - name: Invoices
    description: APIs for interacting with invoices
  - name: Reimbursements
    description: APIs for interacting with reimbursements
  - name: Entities
    description: >-
      APIs for managing legal sub-entities (subsidiaries, branches) under a
      parent business
paths:
  /v1/businesses/{businessId}/kyb:
    patch:
      tags:
        - Businesses
      summary: Update KYB
      description: Update KYB information
      operationId: updateKyb
      parameters:
        - $ref: '#/components/parameters/businessId'
        - $ref: '#/components/parameters/XMultiTenantKey'
      requestBody:
        required: false
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/KYBRequest'
                - type: object
                  properties:
                    principals:
                      type: array
                      description: >-
                        Principals are individuals with ownership shares of 25%
                        or more. When updating principals, each principal must
                        include an 'id' field to identify which principal is
                        being updated.
                      items:
                        allOf:
                          - $ref: '#/components/schemas/PrincipalRequest'
                          - type: object
                            required:
                              - id
                            properties:
                              id:
                                type: string
                                format: uuid
                                description: >-
                                  Principal ID (required when updating
                                  principals in PATCH requests)
                                example: 123e4567-e89b-12d3-a456-426614174000
      responses:
        '204':
          description: KYB information submitted successfully
        '400':
          $ref: '#/components/responses/BadRequestError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        5XX:
          $ref: '#/components/responses/InternalError'
      security:
        - Authorization: []
components:
  parameters:
    businessId:
      name: businessId
      in: path
      description: The unique identifier for the business
      required: true
      schema:
        type: string
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  schemas:
    KYBRequest:
      type: object
      properties:
        entityName:
          type: string
          description: Business name
          example: Tesla
        entityType:
          type: string
          enum:
            - corporation
            - c-corporation
            - s-corporation
            - partnership
            - sole proprietorship
            - limited liability company
            - non profit
            - other
          description: Type of entity
          example: corporation
        taxIdentificationNumber:
          type: string
          description: Tax identification number
          example: NN-528343998
        incorporation:
          type: object
          description: Incorporation details
          properties:
            date:
              type: string
              format: date
              description: Date of incorporation (YYYY-MM-DD)
              example: '2025-01-01'
            address:
              $ref: '#/components/schemas/address'
        phoneNumber:
          $ref: '#/components/schemas/phoneNumber'
        websiteURL:
          type: string
          format: uri
          description: Business website URL
          example: https://www.tesla.com
        natureOfBusiness:
          type: string
          description: Description of the primary business activities and industry
          example: Software Development
        sizeOfCompany:
          type: string
          description: Size of the company
          example: 300-400
        sourceOfFunds:
          type: string
          description: Source of funds
          example: Personal Savings
        annualRevenue:
          type: object
          description: Annual revenue range
          properties:
            currency:
              type: string
              description: Currency code (ISO 4217)
              example: USD
            min:
              type: number
              description: Minimum annual revenue
              example: 100000
            max:
              type: number
              description: Maximum annual revenue
              example: 1000000
        expectedMonthlyTransactionVolume:
          type: object
          description: Expected monthly transaction volume range
          properties:
            currency:
              type: string
              description: Currency code (ISO 4217)
              example: USD
            min:
              type: number
              description: Minimum expected monthly transaction volume
              example: 50000
            max:
              type: number
              description: Maximum expected monthly transaction volume
              example: 80000
        address:
          $ref: '#/components/schemas/address'
        principals:
          type: array
          description: Principals are individuals with ownership shares of 25% or more
          items:
            $ref: '#/components/schemas/PrincipalRequest'
        articlesOfIncorporation:
          type: array
          description: File IDs for articles of incorporation documents
          items:
            type: string
            format: uuid
          example:
            - file-id-001
            - file-id-002
        bankStatements:
          type: array
          description: File IDs for bank statements
          items:
            type: string
            format: uuid
          example:
            - file-id-003
            - file-id-004
        proofOfAddress:
          type: array
          description: File IDs for proof of address documents
          items:
            type: string
            format: uuid
          example:
            - file-id-005
        taxDocuments:
          type: array
          description: File IDs for tax documents
          items:
            type: string
            format: uuid
          example:
            - file-id-006
            - file-id-007
    PrincipalRequest:
      type: object
      properties:
        firstName:
          type: string
          description: First name of the principal
          example: John
        lastName:
          type: string
          description: Last name of the principal
          example: Doe
        ownershipPercentage:
          type: number
          format: float
          minimum: 0.25
          maximum: 1
          description: Percentage of ownership held by the principal in the business
          example: 0.5
        email:
          type: string
          format: email
          description: Email address of the principal
          example: john.doe@example.com
        phoneNumber:
          $ref: '#/components/schemas/phoneNumber'
        address:
          $ref: '#/components/schemas/address'
        isExecutive:
          type: boolean
          description: Whether the principal is an executive of the company
          example: true
        title:
          type: string
          description: Job title or role of the principal
          example: CEO
        dateOfBirth:
          type: string
          format: date
          description: Date of birth in YYYY-MM-DD format
          example: '1990-01-15'
        identifier:
          type: object
          description: Government-issued identification document details
          properties:
            type:
              enum:
                - passport
                - ssn
              description: Type of identification document
              example: passport
            value:
              type: string
              description: Identification number or value
              example: '1234567890'
            identityFileId:
              type: string
              format: uuid
              description: File ID for the identity document (front page)
              example: file-id-123
            identityBackPageFileId:
              type: string
              format: uuid
              description: File ID for the identity document (back page)
              example: file-id-124
            addressFileId:
              type: string
              format: uuid
              description: File ID for address proof document
              example: file-id-125
    address:
      type: object
      description: Address
      required:
        - countryCode
      properties:
        line1:
          type: string
          example: Street 1
        line2:
          type: string
          example: Apt 1
        city:
          type: string
          example: Gotham
        postalCode:
          type: string
          example: '10001'
        state:
          type: string
          example: NY
        countryCode:
          type: string
          example: US
    phoneNumber:
      type: object
      description: Person's phone number
      properties:
        countryCode:
          type: string
          example: '1'
        number:
          type: string
          example: '2345678901'
    BadRequestError:
      description: Bad input provided by client
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          properties:
            params:
              description: A map for meta data around the error that occurred
              type: object
      example:
        code: invalid_request_body
        message: The request body provided is not valid
        params:
          field: Value is invalid.
    NotFoundError:
      description: Not Found
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: resource_not_found
        message: Requested resource could not be found.
    InternalError:
      description: Internal server error
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: internal_error
        message: An unexpected error occurred. Please try again later.
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
  responses:
    BadRequestError:
      description: Bad input provided by client
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
    NotFoundError:
      description: Requested resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFoundError'
    InternalError:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalError'
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````